--- ssl.c	2006/01/26 12:55:30	1.1
+++ ssl.c	2006/01/26 12:55:59
@@ -304,7 +304,7 @@
 int term_ssl_connection(int fd) {
   int i, rc;
 
-  if(!myGlobals.sslInitialized) return;
+  if(!myGlobals.sslInitialized) return 0;
 
   for(i=0; i<MAX_SSL_CONNECTIONS; i++) {
     if((myGlobals.ssl[i].ctx != NULL)
--- plugins/Makefile.am.orig	2007-07-31 09:05:01.000000000 +0000
+++ plugins/Makefile.am	2007-07-31 09:07:36.000000000 +0000
@@ -95,7 +95,7 @@
 #
 
 
-.libs/libicmpPlugin.so@SO_VERSION_PATCH@:
+.libs/libicmpPlugin.so@SO_VERSION_PATCH@: icmpPlugin.o
 	@if test -f libicmpPlugin_la-icmpPlugin.o; then \
 	$(CC) @MAKE_SHARED_LIBRARY_PARM@ -o .libs/libicmpPlugin.so@SO_VERSION_PATCH@ libicmpPlugin_la-icmpPlugin.o; \
 	else \
@@ -119,7 +119,7 @@
 
 ###############
 
-.libs/libnetflowPlugin.so@SO_VERSION_PATCH@:
+.libs/libnetflowPlugin.so@SO_VERSION_PATCH@: netflowPlugin.o
 	@if test -f libnetflowPlugin_la-netflowPlugin.o; then \
 	$(CC) @MAKE_SHARED_LIBRARY_PARM@ -o .libs/libnetflowPlugin.so@SO_VERSION_PATCH@ libnetflowPlugin_la-netflowPlugin.o; \
 	else \
@@ -155,7 +155,7 @@
 
 ###############
 
-.libs/librrdPlugin.so@SO_VERSION_PATCH@:
+.libs/librrdPlugin.so@SO_VERSION_PATCH@: rrdPlugin.o
 	@if test -f librrdPlugin_la-rrdPlugin.o; then \
 	$(CC) @MAKE_SHARED_LIBRARY_PARM@ -o .libs/librrdPlugin.so@SO_VERSION_PATCH@ librrdPlugin_la-rrdPlugin.o; \
 	else \
@@ -167,7 +167,7 @@
 
 ###############
 
-.libs/libsflowPlugin.so@SO_VERSION_PATCH@:
+.libs/libsflowPlugin.so@SO_VERSION_PATCH@: sflowPlugin.o
 	@if test -f libsflowPlugin_la-sflowPlugin.o; then \
 	$(CC) @MAKE_SHARED_LIBRARY_PARM@ -o .libs/libsflowPlugin.so@SO_VERSION_PATCH@ libsflowPlugin_la-sflowPlugin.o; \
 	else \
@@ -179,7 +179,7 @@
 
 ###############
 
-.libs/libxmldumpPlugin.so@SO_VERSION_PATCH@:
+.libs/libxmldumpPlugin.so@SO_VERSION_PATCH@: xmldumpPlugin.o
 	@if test -f libxmldumpPlugin_la-xmldumpPlugin.o; then \
 	$(CC) @MAKE_SHARED_LIBRARY_PARM@ -o .libs/libxmldumpPlugin.so@SO_VERSION_PATCH@ libxmldumpPlugin_la-xmldumpPlugin.o; \
 	else \
--- globals-core.h.orig	2008-01-04 00:32:46.000000000 +0100
+++ globals-core.h	2008-06-12 09:40:14.000000000 +0200
@@ -256,10 +256,6 @@
 
 #ifdef MAKE_WITH_SAFER_ROUTINES
 
-/* Fix to the free prototype courtesy of Tanner Lovelace <lovelace@opennms.org> */
-/* Fix free() courtesy of Benoit Dolez <bdolez@exosec.fr> */
-#define free(a)       { void *__t = (a); ntop_safefree((void**)&(__t), (char*)__FILE__, (int)__LINE__); a = __t; }
-extern void           ntop_safefree(void **ptr, char* file, int line);
 #define malloc(sz)    ntop_safemalloc((unsigned int)sz, (char*)__FILE__, (int)__LINE__)
 extern void*          ntop_safemalloc(unsigned int sz, char* file, int line);
 #define calloc(c,sz)  ntop_safecalloc(c, sz, (char*)__FILE__, (int)__LINE__)
--- Makefile.am.orig	2010-10-24 12:01:01.000000000 +0200
+++ Makefile.am	2011-01-13 23:03:03.419582538 +0100
@@ -133,8 +133,7 @@
                      ntop.c       pbuf.c        database.c \
                      plugin.c     prefs.c       protocols.c   \
                      sessions.c   term.c        util.c        utildl.c \
-                     traffic.c    vendor.c      version.c      \
-                     ntop_darwin.c
+                     traffic.c    vendor.c      version.c      
 
 libntop_la_DEPENDENCIES =  config.h
 libntop_la_LIBADD       = $(BASE_LIBS)
@@ -372,22 +371,6 @@
 dnvt:
 	@echo ""
 	@echo ""
-	@echo -n "Preparing "
-	@if test -f oui.txt; then \
-	  rm -rf oui.txt; \
-	fi
-	@if test -f oui.txt.gz.old; then \
-	  rm -rf oui.txt.gz.old; \
-	fi;
-	@mv oui.txt.gz oui.txt.gz.old
-	@echo "(old oui.txt.gz file is now oui.txt.gz.old)"
-	@echo ""
-	@wget -c http://standards.ieee.org/regauth/oui/oui.txt
-	@gzip oui.txt
-	@echo ""
-	@echo ""
-	@echo -n "Old file lines were: "
-	@gunzip -c oui.txt.gz.old | wc -l
 	@echo -n "New file lines are:  "
 	@gunzip -c oui.txt.gz | wc -l
 	@echo ""
@@ -405,35 +388,6 @@
 	@echo ""
 	@echo "Preparing "
 	@echo ""
-
-	@if test -f $(ETTER_PASSIVE).old; then \
-	  echo "...Deleting prior file, $(ETTER_PASSIVE).old..."; \
-	  rm -rf $(ETTER_PASSIVE).old; \
-	fi;
-	@if test -f $(ETTER_PASSIVE); then \
-	  echo "...Moving current $(ETTER_PASSIVE) to $(ETTER_PASSIVE).old"; \
-	  mv $(ETTER_PASSIVE) $(ETTER_PASSIVE).old; \
-	fi;
-	@for file in $(ETTER_PASSIVE) $(ETTER_PASSIVE).gz \
-		$(ETTER_PASSIVE_FILE) $(ETTER_PASSIVE_FILE).gz; do \
-          if test -f $$file; then \
-	     echo "...Deleting prior file, $$file..."; \
-             rm -rf $$file; \
-          fi; \
-        done
-	@echo ""
-	@echo "...Downloading new file..."
-	@wget -O $(ETTER_PASSIVE_FILE) \
-		$(ETTER_PASSIVE_DOWNLOAD_FROM)/$(ETTER_PASSIVE_FILE)?$(ETTER_PASSIVE_DOWNLOAD_PARMS)
-	@echo ""
-	@echo "gziping downloaded file..."
-	@gzip $(ETTER_PASSIVE_FILE)
-	@echo ""
-	@echo ""
-	@if test -f $(ETTER_PASSIVE).old; then \
-	  echo -n "Old file lines were: "; \
-	  gunzip -c $(ETTER_PASSIVE).old | wc -l; \
-	fi;
 	@echo -n "New file lines are:  "
 	@gunzip -c $(ETTER_PASSIVE) | wc -l
 	@echo ""
